# Uses of Class
org.eclipse.ui.part.FileEditorInput

Packages that use FileEditorInput
Package
Description
org.eclipse.ui.editors.text
Provides a standard text editor and concrete document providers based `IFileBuffer` and others directly handling `IFile` and `IStorage` as editor input.
org.eclipse.ui.part
Classes for the creation of workbench parts that integrate with the Eclipse Platform User Interface.

## Uses of FileEditorInput in org.eclipse.ui.editors.text

Constructors in org.eclipse.ui.editors.text with parameters of type FileEditorInput
Modifier
Constructor
Description
``
`FileSynchronizer(FileEditorInput fileEditorInput)`
Deprecated.
use `FileSynchronizer(IFileEditorInput)`

## Uses of FileEditorInput in org.eclipse.ui.part

Subclasses of FileEditorInput in org.eclipse.ui.part
Modifier and Type
Class
Description
`class`
`FileInPlaceEditorInput`
Adapter for making a file resource a suitable input for an in-place editor.
Methods in org.eclipse.ui.part with parameters of type FileEditorInput
Modifier and Type
Method
Description
`static void`
FileEditorInputFactory.`saveState(IMemento memento, FileEditorInput input)`
Saves the state of the given file editor input into the given memento.